POST api/auth/token

Request Information

URI Parameters

None.

Body Parameters

GerarTokenRequest
NameDescriptionTypeAdditional information
clientId

string

None.

clientSecret

string

None.

Request Formats

application/json, text/json

Sample:
{
  "clientId": "sample string 1",
  "clientSecret": "sample string 2"
}

application/xml, text/xml

Sample:
<Classes.GerarTokenRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/API_ConsultaeCAC">
  <clientId>sample string 1</clientId>
  <clientSecret>sample string 2</clientSecret>
</Classes.GerarTokenRequest>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'GerarTokenRequest'.

Response Information

Resource Description

GerarTokenResponse
NameDescriptionTypeAdditional information
access_token

string

None.

token_type

string

None.

expires_in

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "access_token": "sample string 1",
  "token_type": "sample string 2",
  "expires_in": 3
}

application/xml, text/xml

Sample:
<Classes.GerarTokenResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/API_ConsultaeCAC">
  <access_token>sample string 1</access_token>
  <expires_in>3</expires_in>
  <token_type>sample string 2</token_type>
</Classes.GerarTokenResponse>